# IRpCharacterEditor Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | RegisterSysMessageReceiver (MSGID msg, IRsSysMessageReceiver *pRecv)
HRESULT | UnregisterSysMessageReceiver (MSGID msg, IRsSysMessageReceiver *pRecv)
HRESULT | GetCurrentEditedSkeleton (IRsNode **ppNode)
HRESULT | SetCurrentEditedSkeleton (IRsNode *pNode)
HRESULT | CreateCharacterEditorSet (IRfCharacterSet **ppCharacterSet)
HRESULT | GetCharacterEditorUiAgent (IRsCharacterEditorUIAgent **ppUiAgent)
HRESULT | EnterEditMode ()
HRESULT | LeaveEditMode ()
HRESULT | GetEditModeState (RtBool *pInEditMode)
HRESULT | GetCeDragDropHandler (IRsCharacterEditorDragDrop **ppDnd)
HRESULT | CreateSkeletonRenderer (IRfSkeletonRendererSet **ppRenderer)

## Detailed Description

Character editor package root.

## Member Function Documentation

HRESULT IRpCharacterEditor::RegisterSysMessageReceiver | ( | MSGID | msg,
|  | IRsSysMessageReceiver * | pRecv |
| ) |  |  |

Internal package system messages dispatcher registration.

Parameters:

  | msg | [] Message to register to
  | pRecv | [] System messages receiver interface

HRESULT IRpCharacterEditor::UnregisterSysMessageReceiver | ( | MSGID | msg,
|  | IRsSysMessageReceiver * | pRecv |
| ) |  |  |

Internal package system messages dispatcher unregistration.

Parameters:

  | msg | [] Message to register to
  | pRecv | [] System messages receiver interface

HRESULT IRpCharacterEditor::GetCurrentEditedSkeleton | ( | IRsNode ** | ppNode | ) |

Get currently edited skeleton (when in edit mode)

Parameters:

  | ppNode | Currently edited skeleton node

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::SetCurrentEditedSkeleton | ( | IRsNode * | pNode | ) |

Set currently edited skeleton. Call this method if you enter edit mode on skeleton so other tools can retrieve skeleton root by calling GetCurrentEditedSkeleton. Call with NULL during edit mode exit.

Parameters:

  | pNode | Skeleton node

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::CreateCharacterEditorSet | ( | IRfCharacterSet ** | ppCharacterSet | ) |

Create character editor function set.

Parameters:

  | ppCharacterSet | Function set

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::GetCharacterEditorUiAgent | ( | IRsCharacterEditorUIAgent ** | ppUiAgent | ) |

Get character editor UI agent which handles CE button states.

Parameters:

  | ppUiAgent | Character editor UI agent.

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::EnterEditMode | ( |  | ) |

Enter character editor edit mode. Call this method when entering CE edit mode. Edit modes are used to change behavior of CE tools (for example IK handle in edit mode changes its position within bone and does not move character etc.)

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::LeaveEditMode | ( |  | ) |

Leave character editor edit mode. You must make the same number of enter/leave calls to keep character editor in consistent state.

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::GetEditModeState | ( | RtBool * | pInEditMode | ) |

Get current character editor edit mode state.

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::GetCeDragDropHandler | ( | IRsCharacterEditorDragDrop ** | ppDnd | ) |

Get character editor default drag and drop handler.

Parameters:

  | ppDnd | Pointer to default character drag&drop handler.

Returns:
  S_OK if succeeded

HRESULT IRpCharacterEditor::CreateSkeletonRenderer | ( | IRfSkeletonRendererSet ** | ppRenderer | ) |

Create skeleton renderer helper function set.

Parameters:

  | ppRenderer | Skeleton renderer function set.

Returns:
  S_OK if succeeded